IDEA Class Reference

IDEA More...

`#include <idea.h>`

Inheritance diagram for IDEA:

## Public Types

typedef word | Word
typedef BlockCipherFinal< ENCRYPTION, Base > | Encryption
typedef BlockCipherFinal< DECRYPTION, Base > | Decryption

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | BLOCKSIZE
static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH
static const int | ROUNDS

## Detailed Description

IDEA

Definition at line 19 of file idea.h.

The documentation for this class was generated from the following file:

- idea.h